Download it now!
Bug 73872 - File Corruption - Issue with Embedded binary object and chart in Footer.
Summary: File Corruption - Issue with Embedded binary object and chart in Footer.
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.3.0.0.alpha0+ Master
Hardware: IA64 (Itanium) Linux (All)
: medium normal
Assignee: Yogesh Bharate
URL: https://gerrit.libreoffice.org/#/c/7630/
Whiteboard: target:4.3.0
Keywords:
Depends on:
Blocks:
 
Reported: 2014-01-21 12:26 UTC by Yogesh Bharate
Modified: 2014-03-19 10:55 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments
file having footer reference issue (2.54 MB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2014-01-21 13:05 UTC, Yogesh Bharate
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yogesh Bharate 2014-01-21 12:26:39 UTC
Steps to reproduce:
1. Open the file in LibreOffice
2. Click File -> Save As (Microsoft Word 2007/2010 (.docx))
3. Open saved file in MS Office
Expected:
File should open without any error.
Actual:
File corrupt dialog is shown
Comment 1 Yogesh Bharate 2014-01-21 13:05:01 UTC
Created attachment 92517 [details]
file having footer reference issue
Comment 2 Commit Notification 2014-01-31 09:40:49 UTC
YogeshBharate committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ac177e3919362deb6e46257a2787384620ca9a5e

fdo#73872: File Corruption - Issue with w:footerReference in document.xml



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2014-02-14 11:53:44 UTC
YogeshBharate committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e3b03a028538e38337bcabbe5453b043920c23a8

Added unit test for fdo#73872:



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.